Search customersCopy Pageget https://api.vrio.app/customersReturn detailed information on specific customer criteria.Query Paramscustomer_idstringSearch for specific Customer ID(s). Comma separate for multiple.connection_idintegerSearch customers that belong to a specific connection.first_namestringSearch for customers by first name.last_namestringSearch for customers by last name.emailstringSearch for customers by email.phonestringSearch for customers by telephone number.ip_addressstringSearch customers with orders using a specific IP Address.date_created_fromdate-timeSearch customers that were created on or after this date. A date to and from field is required when not passing customer ID(s) or customer email.date_created_todate-timeSearch customers that were created on or before this date. Required when passing date_created_from. Maximum date range: 31 days.date_modified_fromdate-timeSearch customers that were modified on or after this date. A date to and from field is required when not passing customer ID(s) or customer email.date_modified_todate-timeSearch customers that were modified on or before this date. Required when passing date_modified_from. Maximum date range: 31 days.order_idintegerSearch for customers by a specific order ID.campaign_idintegerSearch customers that have orders associated with a specific campaign ID.transaction_idintegerSearch for customers using the transaction ID.offer_idintegerSearch customers that have orders that contain specific offers.order_offer_idintegerSearch for customers using the order offer ID.status_type_idinteger | nullenumSearch customers that have offers in a specific status. 1 - Active 2 - Cancelled 3 - Complete 4 - Partial 5 - Declined 6 - Archive 7 - Rejected 8 - Removed 9 - Paused 10 - Expired null12345678910Show 11 enum valuesis_recurringbooleanSearch customers that have recurring offers.truefalsemerchant_idintegerSearch customers that have transactions using a specific merchant ID.card_binintegerSearch customers that have cards that have a specific BIN number.card_last_4integerSearch customers that have cards that have specific last 4 digits.is_blacklistbooleanSearch for only blacklisted customers.truefalseis_testbooleanSearch customers that have test orders.truefalsediscount_codestringSearch customers that have used a specific discount code.ship_addressstringSearch customers using the ship address.ship_citystringSearch customers using the ship city.ship_statestringSearch customers using the ship state.ship_zipcodestringSearch customers using the ship zipcode.ship_countrystringSearch customers using the ship country.bill_addressstringSearch customers using the bill address.bill_citystringSearch customers using the bill city.bill_statestringSearch customers using the bill state.bill_zipcodestringSearch customers using the bill zipcode.bill_countrystringSearch customers using the bill country.shipment_idintegerSearch for customers by a specific shipment ID.shipment_tracking_idstringSearch for customers by using a tracking number from a shipment.tracking1-20stringCustom Tracking Variable Options 1-20 that would be on a customer order.withstringenumExpand on the information returned by including 'with' in the query parameters. For multiple attributes, separate with a comma (example : with=customer_cards,customer_addresses)customer_cardscustomer_addressesAllowed:customer_cardscustomer_addresseslimitintegerLimit the number of results. Default: 25, max: 200.offsetintegerOffset the resultssort_bystringField to sort result byorderstringenumOrder by asc or descascdescAllowed:ascdescResponses 200OK 401Unauthorized response 403Forbidden response 500Error responseUpdated 7 days ago